-- MySQL dump 10.11
--
-- Host: localhost    Database: hangastudio
-- ------------------------------------------------------
-- Server version	5.0.37-community-nt

--
-- Table structure for table `HG_COMM_CODE`
--

-- DROP TABLE IF EXISTS `HG_COMM_CODE`;
CREATE TABLE `HG_COMM_CODE` (
  `COMM_GROUP_CODE` varchar(50) NOT NULL,
  `COMM_CODE` varchar(50) NOT NULL,
  `VALUE` varchar(100) NOT NULL,
  `DESCRIPTION` varchar(4000) default NULL,
  `SORT_ORDER` varchar(10) default NULL,
  `USE` varchar(5) NOT NULL default 'false',
  `REG_DT` datetime default NULL,
  `REG_ADM` varchar(20) default NULL,
  `MODI_DT` datetime default NULL,
  `MODI_ADM` varchar(20) default NULL,
  PRIMARY KEY  (`COMM_GROUP_CODE`,`COMM_CODE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `HG_COMM_CODE`
--

INSERT INTO `HG_COMM_CODE` VALUES ('MLRVPRT','imap','IMAP','IMAP',NULL,'true',NULL,NULL,NULL,NULL);

--
-- Table structure for table `HG_COMM_CODE_GROUP`
--

-- DROP TABLE IF EXISTS `HG_COMM_CODE_GROUP`;
CREATE TABLE `HG_COMM_CODE_GROUP` (
  `COMM_GROUP_CODE` varchar(50) NOT NULL,
  `NAME` varchar(100) NOT NULL,
  `DESCRIPTION` varchar(4000) default NULL,
  `USE` varchar(5) NOT NULL default 'false',
  `REG_DT` datetime default NULL,
  `REG_ADM` varchar(20) default NULL,
  `MODI_DT` datetime default NULL,
  `MODI_ADM` varchar(20) default NULL,
  PRIMARY KEY  (`COMM_GROUP_CODE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `HG_COMM_CODE_GROUP`
--

INSERT INTO `HG_COMM_CODE_GROUP` VALUES ('MLRVPRT','메일 받는 서버 프로토콜','메일 받는 서버 프로토콜 imap, pop3등등 현재는 imap만 지원한다.','true',NULL,NULL,NULL,NULL);

--
-- Table structure for table `HG_CONFIG`
--

-- DROP TABLE IF EXISTS `HG_CONFIG`;
CREATE TABLE `HG_CONFIG` (
  `CONFIG_KIND` varchar(2) NOT NULL,
  `CONFIG_CODE` varchar(7) NOT NULL,
  `CONFIG_NAME` varchar(100) NOT NULL,
  `VALUE` varchar(100) default NULL,
  `DESCRIPTION` varchar(300) default NULL,
  PRIMARY KEY  (`CONFIG_CODE`),
  KEY `HG_CONFIG_IDX_01` (`CONFIG_KIND`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `HG_CONFIG`
--

INSERT INTO `HG_CONFIG` VALUES ('ML','MLFLINB','메일 받은 편지함','INBOX',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLFLOUB','메일 보낸 편지함','Sent',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLFLTRB','메일 지운편지함','Trash',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVDNM','메일 받는서버 시스템 계정 표시명','시스템 기본','받는 서버 시스템 계정의 화면 표시용 이름. 계정선택, 계정 관리등에서 일괄적으로 사용한다.');
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVAHS','메일 받는서버 메일주소 호스트','dreamwiz.com','받는서버의 기본계정을 시스템것을 사용할 경우 자동 매핑시켜줄 이메일 주소의 호스트');
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVHST','메일 받는서버 호스트','imap.dreamwiz.com',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVPRT','메일 받는서버 포트','143',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVPTC','메일 받는서버 프로토콜','imap',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVSSL','메일 받는서버 SSL 사용여부','false',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVSSP','메일 받는서버 SSL 포트','993',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLRVUSE','메일 받는서버 기본 사용여부','true','받는서버를 기본서버를 사용할 것인가?');
INSERT INTO `HG_CONFIG` VALUES ('ML','MLSMATH','메일 SMTP 인증여부','true',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLSMHST','메일 SMTP 호스트','smtp.gmail.com',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLSMPRT','메일 SMTP 포트','25',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLSMSSL','메일 SMTP SSL 사용여부','true',NULL);
INSERT INTO `HG_CONFIG` VALUES ('ML','MLSMSSP','메일 SMTP SSL 포트','465',NULL);
INSERT INTO `HG_CONFIG` VALUES ('UL','ULRGFRE','사용자 가입 자율화여부','true','사용자 가입 자율화여부 (true일 경우 즉시가입, false이면 관리자 승인)');

--
-- Table structure for table `HG_MAIL_ACC_RECV`
--

-- DROP TABLE IF EXISTS `HG_MAIL_ACC_RECV`;
CREATE TABLE `HG_MAIL_ACC_RECV` (
  `ACC_RECV_SEQ` int(4) NOT NULL auto_increment,
  `ACC_RECV_NAME` varchar(100) default NULL,
  `USER_ID` varchar(20) NOT NULL,
  `SYSTEM` varchar(5) NOT NULL default 'false',
  `DEFAULT` varchar(5) default 'false',
  `ADDRESS_HOST` varchar(100) default NULL COMMENT '보내는 이메일 주소 호스트',
  `PROTOCOL` varchar(10) default NULL,
  `HOST` varchar(100) default NULL,
  `PORT` varchar(10) default NULL,
  `ID` varchar(50) NOT NULL,
  `PASSWORD` varchar(50) NOT NULL,
  `SSL` varchar(5) default NULL,
  `SSL_PORT` varchar(10) default NULL,
  `INBOX` varchar(300) default NULL,
  `OUTBOX` varchar(300) default NULL,
  `TRASH` varchar(300) default NULL,
  PRIMARY KEY  (`ACC_RECV_SEQ`),
  KEY `HG_MAIL_ACC_RECV_IDX_01` (`USER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Table structure for table `HG_USER`
--

-- DROP TABLE IF EXISTS `HG_USER`;
CREATE TABLE `HG_USER` (
  `USER_SEQ` int(4) NOT NULL auto_increment,
  `USER_ID` varchar(20) NOT NULL,
  `USER_NAME` varchar(50) default NULL,
  `PASSWORD` varchar(20) NOT NULL,
  `SMTP_ID` varchar(50) NOT NULL,
  `SMTP_PASSWORD` varchar(50) NOT NULL,
  `USE` varchar(5) default 'false',
  `WRITE_DATE` datetime NOT NULL,
  `WRITE_IP` varchar(20) NOT NULL,
  `MODIFY_DATE` datetime default NULL,
  `MODIFY_IP` varchar(20) default NULL,
  `ADMIN_DATE` datetime default NULL,
  `ADMIN_ID` varchar(20) default NULL,
  `ADMIN_IP` varchar(20) default NULL,
  PRIMARY KEY  (`USER_SEQ`),
  UNIQUE KEY `HG_USER_IDX_01` (`USER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
