/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.constants;

/**
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public final class ConfigConstants {

	public static final String CONFIG_KIND_MAIL = "ML";

	/*
	 * 메일 관련 환경설정 코드
	 */

	/** 받는서버 기본 서버를 사용할 것인가? */
	public static final String CODE_MAIL_RECV_USE = "MLRVUSE";

	/** 받는서버 표시 명 */
	public static final String CODE_MAIL_RECV_DISPLAY_NAME = "MLRVDNM";

	/** 받는서버 메일주소 Host */
	public static final String CODE_MAIL_RECV_ADDRESS_HOST = "MLRVAHS";

	/** 받는서버 프로토콜 */
	public static final String CODE_MAIL_RECV_PROTOCOL = "MLRVPTC";

	/** 받는서버 Host */
	public static final String CODE_MAIL_RECV_HOST = "MLRVHST";

	/** 받는서버 Port */
	public static final String CODE_MAIL_RECV_PORT = "MLRVPRT";

	/** 받는서버 SSL */
	public static final String CODE_MAIL_RECV_SSL = "MLRVSSL";

	/** 받는서버 SSL Port */
	public static final String CODE_MAIL_RECV_SSL_PORT = "MLRVSSP";

	/** 받는서버 INBOX */
	public static final String CODE_MAIL_INBOX = "MLFLINB";

	/** 받는서버 OUTBOX */
	public static final String CODE_MAIL_OUTBOX = "MLFLOUB";

	/** 받는서버 TRASH */
	public static final String CODE_MAIL_TRASH = "MLFLTRB";

	/** SMTP Host */
	public static final String CODE_MAIL_SMTP_HOST = "MLSMHST";

	/** SMTP Port */
	public static final String CODE_MAIL_SMTP_PORT = "MLSMPRT";

	/** SMTP Auth */
	public static final String CODE_MAIL_SMTP_AUTH = "MLSMATH";

	/** SMTP SSL */
	public static final String CODE_MAIL_SMTP_SSL = "MLSMSSL";

	/** SMTP SSL Port */
	public static final String CODE_MAIL_SMTP_SSL_PORT = "MLSMSSP";

}
