/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.constants;

public final class MailConstants {

	/** 받는 서버 Bean 세션 명 */
	public static final String SESS_ACC_RECV = "accRecvBean";

	/** 받는 서버 Bean 세션 목록 */
	public static final String SESS_ACC_RECV_LIST = "accRecvList";

	/** 보내는 서버 Bean 세션 명 */
	public static final String SESS_ACC_SEND = "accSendBean";

	/** 잠금. 메일 메세지 사용자 플래그 */
	public static final String MSG_USER_FLAG_LOCK = "lock";

	/*
	 * Resource Key
	 */

	/** 받는 서버 인증 실패 */
	public static final String RES_KEY_ERR_RECV_AUTH = "error.mail.recvAuth";

	/** 받는 서버 접속 실패 */
	public static final String RES_KEY_ERR_RECV_CONNECT = "error.mail.recvConnect";

	/*
	 * 프로토콜
	 */

	/** IMAP 프로토콜 문자 */
	public static final String PROTOCOL_IMAP = "imap";

	/** POP3 프로토콜 문자 */
	public static final String PROTOCOL_POP3 = "pop3";

	/** SEND 프로토콜 문자 */
	public static final String PROTOCOL_SEND = "smtp";

	/*
	 * 시스템 폴더 구분 절대 값. 서버의 폴더명과는 아무런 상관없고 프로그램 내에서 Map들의 키로 사용하는 상수값
	 */

	public static final String SYS_FOLDER_ABS_INBOX = "inbox";

	public static final String SYS_FOLDER_ABS_OUTBOX = "outbox";

	public static final String SYS_FOLDER_ABS_TRASH = "trash";

	/*
	 * 캐쉬 키
	 */

	/** Content Type 캐쉬 키 */
	public static final String CACHE_KEY_CONTENT_TYPE = "contentType";

	/** 시스템 폴더명 캐쉬 키 */
	public static final String CACHE_KEY_SYS_FOLDER_DISP_NAME = "sysFolderDispName";

}
