/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.core.bean;

import java.io.File;
import java.io.Serializable;

import kr.sohalee.hangastudio.core.util.StringUtil;

@SuppressWarnings("serial")
public class MultipartFilesBean implements Serializable {

	private File[] files = null;

	private String[] filesFileName = null;

	private String[] filesContentType = null;

	private String[] filesSaveName = null;

	private String savePath = "";

	/**
	 * 폼에서 넘어온 임시파일을 정책에 따른 파일명으로 변환하여 저장소로 이동<br />
	 * 일반적으로 정책은
	 * 
	 * @param initStr
	 *            파일명 앞에 붙일 문자
	 * @throws Exception
	 */
	public void renameFiles(String initStr) throws Exception {

		if (filesSaveName != null) {
			throw new Exception("파일이 이미 저장되었습니다.");
		} else {

			filesSaveName = new String[files.length];
			for (int i = 0; i < files.length; i++) {

				if (StringUtil.isEmpty(filesFileName[i])) {
					continue;
				}

				// 임시파일을 실제 파일명으로 변환하여 저장소로 이동
				filesSaveName[i] = StringUtil.toNotNull(initStr)
						+ filesFileName[i];
				File dest = new File(savePath + "/" + filesSaveName[i]);
				if (!files[i].renameTo(dest)) {
					throw new Exception("파일 이동 실패 : "
							+ files[i].getAbsolutePath() + "->"
							+ dest.getAbsolutePath());
				}

				// 임시파일 정보를 이동한 실제 파일 정보로 변경한다.
				files[i] = dest;
				dest = null;
			}
		}
	}

	public String getSavePath() {
		return savePath;
	}

	public void setSavePath(String savePath) {

		if (savePath != null) {
			this.savePath = savePath;
		}
	}

	public File[] getFiles() {
		return files;
	}

	public void setFiles(File[] files) {
		this.files = files;
	}

	public String[] getFilesContentType() {
		return filesContentType;
	}

	public void setFilesContentType(String[] filesContentType) {
		this.filesContentType = filesContentType;
	}

	public String[] getFilesFileName() {
		return filesFileName;
	}

	public void setFilesFileName(String[] filesFileName) {
		this.filesFileName = filesFileName;
	}

	public String[] getFilesSaveName() {
		return filesSaveName;
	}

	public void setFilesSaveName(String[] filesSaveName) {
		this.filesSaveName = filesSaveName;
	}

}
