/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.core.bean;

import java.io.Serializable;

import kr.sohalee.hangastudio.constants.Constants;
import kr.sohalee.hangastudio.core.type.PageNavigation;

@SuppressWarnings("serial")
public class PageNaviBean extends BaseBean implements PageNavigation,
		Serializable {

	/** 페이지 네비게이션에 표시되는 페이지 번호 수 */
	private Integer pageScale = Integer.valueOf(Constants.BBS_PAGE_NAVI_SCALE);

	/** 한페이지당 표시되는 아이템의 수 */
	private Integer itemCntPerPage = Integer.valueOf(Constants.BBS_LIST_SCALE);

	/** 총 아이템 수 */
	private Integer itemTotalCnt = Integer.valueOf(0);

	/** 현재 페이지 */
	private Integer currPageNo = Integer.valueOf(1);

	public Integer getPageNo() {
		return currPageNo;
	}

	public void setPageNo(Integer currPageNo) {
		this.currPageNo = currPageNo;
	}

	public Integer getCurrPageNo() {
		return currPageNo;
	}

	public Integer getItemCntPerPage() {
		return itemCntPerPage;
	}

	public void setItemCntPerPage(Integer itemCntPerPage) {
		this.itemCntPerPage = itemCntPerPage;
	}

	public Integer getItemTotalCnt() {
		return itemTotalCnt;
	}

	public void setItemTotalCnt(Integer itemTotalCnt) {
		this.itemTotalCnt = itemTotalCnt;
	}

	public Integer getPageScale() {
		return pageScale;
	}

	public void setPageScale(Integer pageScale) {
		this.pageScale = pageScale;
	}

}
