/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.core.interceptor;

import kr.sohalee.hangastudio.core.exception.BizException;

import org.apache.log4j.Logger;

import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.interceptor.AbstractInterceptor;

@SuppressWarnings("serial")
public class HangaExceptionInterceptor extends AbstractInterceptor {

	private static Logger logger = Logger
			.getLogger(HangaExceptionInterceptor.class);

	@Override
	public String intercept(ActionInvocation invocation) throws Exception {

		try {
			return invocation.invoke();
		} catch (BizException be) {

			ActionSupport action = (ActionSupport) invocation.getAction();
			action.addActionError(be.getMessage());

			action = null;

			if (logger.isDebugEnabled()) {
				logger.debug(be.getMessage(), be);
			}

			throw be;
		} catch (Exception e) {

			logger.error(e.getMessage(), e);
			throw e;
		}
	}

}