/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.core.support;

import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import kr.sohalee.hangastudio.core.bean.PageNaviBean;
import kr.sohalee.hangastudio.core.util.MapUtil;
import kr.sohalee.hangastudio.core.util.StringUtil;

import org.apache.struts2.ServletActionContext;
import org.apache.struts2.StrutsConstants;
import org.apache.struts2.config.DefaultSettings;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;

@SuppressWarnings("serial")
public class HangaSupport extends ActionSupport {

	protected String getRemoteAddr() {
		return ServletActionContext.getRequest().getRemoteAddr();
	}

	protected String getRealPath(String path) {
		return ServletActionContext.getServletContext().getRealPath(path);
	}

	protected String getNamespaceUrl(String namespace) {

		String contextPath = ServletActionContext.getRequest().getContextPath();
		String namespaceFinal = null;
		if (StringUtil.isEmpty(namespace)) {
			namespaceFinal = ServletActionContext.getActionMapping()
					.getNamespace();
		} else {
			namespaceFinal = namespace;
		}

		return contextPath + namespaceFinal;
	}

	public String getExtension() {

		String extension = null;
		try {
			extension = DefaultSettings
					.get(StrutsConstants.STRUTS_ACTION_EXTENSION);
		} catch (IllegalArgumentException ie) {
			extension = "action";
		}

		return extension;
	}

	public String getNamespaceUrl() {
		return getNamespaceUrl(null);
	}

	protected HttpServletResponse getResponse() {
		return ServletActionContext.getResponse();
	}

	protected Object getSessionObject(String key) {
		return ActionContext.getContext().getSession().get(key);
	}

	@SuppressWarnings("unchecked")
	protected void setSessionObject(String key, Object value) {
		Map map = ActionContext.getContext().getSession();
		MapUtil.overwrite(map, key, value);
	}

	protected void removeSessionObject(String key) {
		ActionContext.getContext().getSession().remove(key);
	}

	protected void clearSession() {
		ActionContext.getContext().getSession().clear();
	}

	/** 페이지 네비게이션용 Bean */
	protected PageNaviBean pageNaviBean = null;

	public PageNaviBean getPageNaviBean() {
		return pageNaviBean;
	}

	public void setPageNaviBean(PageNaviBean pageNaviBean) {
		this.pageNaviBean = pageNaviBean;
	}

	public String executeSuccess() throws Exception {
		return SUCCESS;
	}
}
