/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.commcode;

import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

/**
 * 공통 코드 DAO 구상 클래스. SqlMap (ibatis)
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public class CommCodeDaoImplSqlMap extends SqlMapClientDaoSupport implements
		CommCodeDao {

	public CommCodeGroupBean getCommCodeGroup(
			CommCodeGroupBean commCodeGroupBean) throws Exception {
		return (CommCodeGroupBean) getSqlMapClientTemplate().queryForObject(
				"commcode.selectCommCodeGroup", commCodeGroupBean);
	}

	@SuppressWarnings("unchecked")
	public List<CommCodeGroupBean> getCommCodeGroupList(
			CommCodeGroupBean commCodeGroupBean) throws Exception {
		return getSqlMapClientTemplate().queryForList(
				"commcode.selectCommCodeGroupList",
				commCodeGroupBean);
	}

	@SuppressWarnings("unchecked")
	public List<CommCodeGroupBean> getCommCodeGroupListWithCommCodeList(
			CommCodeGroupBean commCodeGroupBean) throws Exception {
		return getSqlMapClientTemplate()
				.queryForList(
						"commcode.selectCommCodeGroupListWithCommCodeList",
						commCodeGroupBean);
	}

	public void insertCommCodeGroup(CommCodeGroupBean commCodeGroupBean)
			throws Exception {
		getSqlMapClientTemplate().insert(
				"commcode.insertCommCodeGroup", commCodeGroupBean);
	}

	public int updateCommCodeGroup(CommCodeGroupBean commCodeGroupBean)
			throws Exception {
		return getSqlMapClientTemplate().update(
				"commcode.updateCommCodeGroup", commCodeGroupBean);
	}

	public int deleteCommCodeGroup(CommCodeGroupBean commCodeGroupBean)
			throws Exception {
		return getSqlMapClientTemplate().delete(
				"commcode.deleteCommCodeGroup", commCodeGroupBean);
	}

	public CommCodeBean getCommCode(CommCodeBean commCodeBean) throws Exception {
		return (CommCodeBean) getSqlMapClientTemplate().queryForObject(
				"commcode.selectCommCode", commCodeBean);
	}

	@SuppressWarnings("unchecked")
	public List<CommCodeBean> getCommCodeList(CommCodeBean commCodeBean)
			throws Exception {
		return getSqlMapClientTemplate().queryForList(
				"commcode.selectCommCodeList", commCodeBean);
	}

	public void insertCommCode(CommCodeBean commCodeBean) throws Exception {
		getSqlMapClientTemplate().insert(
				"commcode.insertCommCode", commCodeBean);
	}

	public int updateCommCode(CommCodeBean commCodeBean) throws Exception {
		return getSqlMapClientTemplate().update(
				"commcode.updateCommCode", commCodeBean);
	}

	public int deleteCommCode(CommCodeBean commCodeBean) throws Exception {
		return getSqlMapClientTemplate().delete(
				"commcode.deleteCommCode", commCodeBean);
	}

}
