/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.config;

import java.util.List;
import java.util.Map;

import kr.sohalee.hangastudio.core.cache.CacheManager;
import kr.sohalee.hangastudio.core.cache.CacheMap;

/**
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public class ConfigCacheMap extends CacheMap {

	/**
	 * 시스템 함수이므로 호출하지 말것
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void initCache() throws Exception {

		List<ConfigBean> configList = getSqlMapClient().queryForList(
				"config.selectConfigList", null);
		for (ConfigBean configBean : configList) {
			put(configBean.getConfigCode(), configBean);
		}
	}

	public static Map<String, ConfigBean> getMap() throws Exception {
		return (Map<String, ConfigBean>) CacheManager.getInstance().get(
				ConfigCacheMap.class.getName());
	}

	public static String getConfigValue(String configCode) throws Exception {

		ConfigBean configBean = (ConfigBean) CacheManager.getInstance().get(
				ConfigCacheMap.class.getName(), configCode);

		return configBean.getValue();
	}

}
