/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.acc;

import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

/**
 * 받는 서버 계정 DAO 구상 클래스. SqlMap (ibatis)
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public class AccDaoImplSqlMap extends SqlMapClientDaoSupport implements AccDao {

	public AccRecvBean getAccRecv(AccRecvBean accRecvBean) throws Exception {
		return (AccRecvBean) getSqlMapClientTemplate().queryForObject(
				"mail-acc.selectAccRecv", accRecvBean);
	}

	@SuppressWarnings("unchecked")
	public List<AccRecvBean> getAccRecvList(AccRecvBean accRecvBean)
			throws Exception {
		return getSqlMapClientTemplate().queryForList(
				"mail-acc.selectAccRecvList", accRecvBean);
	}

	public Integer insertAccRecv(AccRecvBean accRecvBean) throws Exception {
		return (Integer) getSqlMapClientTemplate().insert(
				"mail-acc.insertAccRecv", accRecvBean);
	}

	public int updateAccRecv(AccRecvBean accRecvBean) throws Exception {
		return getSqlMapClientTemplate().update("mail-acc.updateAccRecv",
				accRecvBean);
	}

	public int updateAccRecvCancelDefault(AccRecvBean accRecvBean)
			throws Exception {
		return getSqlMapClientTemplate().update(
				"mail-acc.updateAccRecvCancelDefault", accRecvBean);
	}

	public int deleteAccRecv(AccRecvBean accRecvBean) throws Exception {
		return getSqlMapClientTemplate().delete("mail-acc.deleteAccRecv",
				accRecvBean);
	}

}
