/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.acc;

import java.util.List;

/**
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public interface AccService {

	/**
	 * 받는 서버 계정 상세 (단일)
	 * 
	 * @param accRecvBean
	 *            키
	 * @return
	 * @throws Exception
	 */
	public abstract AccRecvBean getAccRecv(AccRecvBean accRecvBean)
			throws Exception;

	/**
	 * 받는 서버 계정 목록을 가져온다.
	 * 
	 * @param accRecvBean
	 * @return
	 * @throws Exception
	 */
	public abstract List<AccRecvBean> getAccRecvList(AccRecvBean accRecvBean)
			throws Exception;

	/**
	 * 받는 서버 계정 등록
	 * 
	 * @param accRecvBean
	 *            등록 내용
	 * @return
	 * @throws Exception
	 */
	public abstract Integer insertAccRecv(AccRecvBean accRecvBean)
			throws Exception;

	/**
	 * 받는 서버 계정 수정
	 * 
	 * @param accRecvBean
	 *            수정 내용 및 키
	 * @return
	 * @throws Exception
	 */
	public abstract void updateAccRecv(AccRecvBean accRecvBean) throws Exception;

	/**
	 * 받는 서버 계정 삭제
	 * 
	 * @param accRecvBean
	 *            키
	 * @return
	 * @throws Exception
	 */
	public abstract void deleteAccRecv(AccRecvBean accRecvBean) throws Exception;

}
