/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.folder;

import java.util.List;

import kr.sohalee.hangastudio.core.bean.BaseBean;

/**
 * 메일 폴더 Bean
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">이경록</a>
 * 
 */
@SuppressWarnings("serial")
public class FolderBean extends BaseBean {

	/** 폴더 명 */
	private String name = null;

	/** 폴더 전체 메세지 수. (검색부분 제외) */
	private Integer messageCount = 0;

	/** 서브 폴더 목록 */
	private List<FolderBean> childFolderList = null;

	public String getName() {
		return name;
	}

	public String getNameUrl() throws Exception {
		return getUrl(name);
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getMessageCount() {
		return messageCount;
	}

	public void setMessageCount(Integer messageCount) {
		this.messageCount = messageCount;
	}

	public List<FolderBean> getChildFolderList() {
		return childFolderList;
	}

	public void setChildFolderList(List<FolderBean> childFolderList) {
		this.childFolderList = childFolderList;
	}

}
