/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.folder;

import java.util.List;

import kr.sohalee.hangastudio.model.mail.acc.AccRecvBean;

/**
 * 메일 폴더 DAO
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public interface FolderDao {

	/**
	 * 메일 폴더를 읽어온다.
	 * 
	 * @param accRecvBean
	 *            받는 서버 계정 정보.
	 * @param name
	 *            폴더명
	 * @return
	 * @throws Exception
	 */
	public abstract FolderBean getFolder(AccRecvBean accRecvBean,
			FolderBean folderBean) throws Exception;

	/**
	 * 메일 폴더 목록을 읽어온다.
	 * 
	 * @param accRecvBean
	 *            받는 서버 계정 정보.
	 * @param flat
	 *            폴더목록 형태 (true 1차원, false 다차원 tree)
	 * @return
	 * @throws Exception
	 */
	public abstract List<FolderBean> getFolderList(AccRecvBean accRecvBean,
			boolean flat, boolean withoutSysFolder) throws Exception;

}
