/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.folder;

import java.util.List;

import kr.sohalee.hangastudio.core.exception.BizException;
import kr.sohalee.hangastudio.model.mail.acc.AccRecvBean;

/**
 * 폴더 Service 구상 클래스
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public class FolderServiceImpl implements FolderService {

	private FolderDao folderDao = null;

	public void setFolderDao(FolderDao folderDao) throws Exception {
		this.folderDao = folderDao;
	}

	public FolderBean getFolder(AccRecvBean accRecvBean, FolderBean folderBean)
			throws Exception {

		FolderBean fBean = folderDao.getFolder(accRecvBean, folderBean);
		if (fBean == null) {
			throw new BizException("error.mail.notFound.folder");
		}

		return fBean;
	}

	public List<FolderBean> getFolderList(AccRecvBean accRecvBean,
			boolean flat, boolean withoutSysFolder) throws Exception {
		return folderDao.getFolderList(accRecvBean, flat, withoutSysFolder);
	}

}
