/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.mail.message;

import java.util.List;

import kr.sohalee.hangastudio.core.exception.BizException;
import kr.sohalee.hangastudio.model.mail.acc.AccRecvBean;
import kr.sohalee.hangastudio.model.mail.acc.AccSendBean;

/**
 * 메일 메세지 Service 구상 클래스
 * 
 * @author <a href="mailto:sohalee@dreamwiz.com">Lee, Kyung-rok</a>
 * 
 */
public class MessageServiceImpl implements MessageService {

	private MessageDao messageDao = null;

	public void setMessageDao(MessageDao messageDao) {
		this.messageDao = messageDao;
	}

	public MessageBean getMessage(AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {

		MessageBean mBean = messageDao.getMessage(accRecvBean, messageBean);
		if (mBean == null) {
			throw new BizException("error.mail.notFound.message");
		}

		return mBean;
	}

	public List<MessageBean> getMessageList(AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {
		return messageDao.getMessageList(accRecvBean, messageBean);
	}

	public Integer getMessageCount(AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {
		return messageDao.getMessageCount(accRecvBean, messageBean);
	}

	public void insertMessage(AccSendBean accSendBean, AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {
		messageDao.insertMessage(accSendBean, accRecvBean, messageBean);
	}

	public void updateMessageFlag(AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {
		messageDao.updateMessageFlag(accRecvBean, messageBean);
	}

	public void updateMessageReadFlag(AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {
		messageDao.updateMessageReadFlag(accRecvBean, messageBean);
	}

	public void deleteMessageList(AccRecvBean accRecvBean,
			MessageBean messageBean) throws Exception {
		messageDao.deleteMessageList(accRecvBean, messageBean);
	}

	public void moveMessageList(AccRecvBean accRecvBean, MessageBean messageBean)
			throws Exception {
		messageDao.moveMessageList(accRecvBean, messageBean);
	}

	public MessageAttachBean getMessageAttach(AccRecvBean accRecvBean,
			MessageBean messageBean, MessageAttachBean attachBean)
			throws Exception {
		return messageDao
				.getMessageAttach(accRecvBean, messageBean, attachBean);
	}

}
