/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.user;

import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

public class UserDaoImplSqlMap extends SqlMapClientDaoSupport implements
		UserDao {

	public UserBean getUser(UserBean userBean) throws Exception {
		return (UserBean) getSqlMapClientTemplate().queryForObject(
				"service-user.selectUser", userBean);
	}

	@SuppressWarnings("unchecked")
	public List<UserBean> getUserList(UserBean userBean) throws Exception {
		return getSqlMapClientTemplate().queryForList(
				"service-user.selectUserList", userBean);
	}

	public Integer getUserCount(UserBean userBean) throws Exception {
		return (Integer) getSqlMapClientTemplate().queryForObject(
				"service-user.selectUserCount", userBean);
	}

	public Integer insertUser(UserBean userBean) throws Exception {
		return (Integer) getSqlMapClientTemplate().insert(
				"service-user.insertUser", userBean);
	}

	public int updateUser(UserBean userBean) throws Exception {
		return getSqlMapClientTemplate().update("service-user.updateUser",
				userBean);
	}

	public int deleteUser(UserBean userBean) throws Exception {
		return getSqlMapClientTemplate().delete("service-user.deleteUser",
				userBean);
	}

}
