/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.model.user;

import java.util.List;

public interface UserService {

	public abstract UserBean getUser(UserBean userBean) throws Exception;

	public abstract List<UserBean> getUserList(UserBean userBean)
			throws Exception;

	public abstract Integer getUserCount(UserBean userBean) throws Exception;

	public abstract Integer insertUser(UserBean userBean) throws Exception;

	public abstract void updateUser(UserBean userBean) throws Exception;

	public abstract void deleteUser(UserBean userBean) throws Exception;

	/**
	 * 로그인 처리 후 성공시 사용자 정보 반환
	 * 
	 * @param userBean
	 *            사용자 로그인 정보 (.id, .password)
	 * @return
	 * @throws Exception
	 *             ActionErrorException: error.user.userNotFound,
	 *             error.user.passwordMismatch
	 */
	public abstract UserBean login(UserBean userBean) throws Exception;

}
