/* 
 * This file is part of hanga studio.
 *
 * Copyright (C) 2007 hanga studio Project.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  
 */
package kr.sohalee.hangastudio.presentation.service.mail;

import java.util.List;

import kr.sohalee.hangastudio.core.exception.BizConnectException;
import kr.sohalee.hangastudio.model.mail.acc.AccRecvBean;
import kr.sohalee.hangastudio.model.mail.folder.FolderBean;
import kr.sohalee.hangastudio.model.mail.folder.FolderService;

@SuppressWarnings("serial")
public class MenuAction extends MailSupport {

	/*
	 * Service 셋팅 (Spring과 Struts2의 auto-wire)
	 */

	private FolderService folderService = null;

	/** Folder Service setter. Spring과 Struts2가 맞물려 자동으로 호출 */
	public void setMailFolderService(FolderService folderService)
			throws Exception {
		this.folderService = folderService;
	}

	/*
	 * View에서 사용하는 Property
	 */

	/** 메일 받는 서버 계정 Bean. (메뉴에서 계정 변경시 사용) */
	private AccRecvBean accRecvBean = null;

	/** 메일 폴더 목록 */
	private List<FolderBean> folderList = null;

	private Boolean validConnection = Boolean.valueOf(false);

	public AccRecvBean getAccRecvBean() {
		return accRecvBean;
	}

	public void setAccRecvBean(AccRecvBean accRecvBean) {
		this.accRecvBean = accRecvBean;
	}

	public List<FolderBean> getFolderList() {
		return folderList;
	}

	public void setFolderList(List<FolderBean> folderList) {
		this.folderList = folderList;
	}

	public Boolean getValidConnection() {
		return validConnection;
	}

	/*
	 * Action Execute Method
	 */

	/**
	 * 메일 메뉴
	 * 
	 * @return String SUCCESS or ERROR
	 * @throws Exception
	 */
	public String execute() throws Exception {

		try {

			accRecvBean = getSessAccRecvBean();
			if (accRecvBean != null) {
				// 폴더 목록
				folderList = folderService.getFolderList(accRecvBean, true,
						true);
				validConnection = Boolean.valueOf(true);
			}
		} catch (BizConnectException e) {
			addActionError(e.getMessage());
		}

		return SUCCESS;
	}

	public String executeAccRecvChange() throws Exception {

		if (accRecvBean == null || accRecvBean.getAccRecvSeq() == null) {
			addActionError("error.mail.param.acc.recv");
			return ERROR;
		}

		changeSessAccRecvBean(accRecvBean);

		return SUCCESS;
	}
}
