<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ taglib uri="/view" prefix="view"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Message List
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-03-16 23:58
	@modified   : none
	==========================================================================
--%>

<%-- String Utility --%>
<s:bean name="kr.sohalee.hangastudio.core.util.StringUtil" id="stringUtil"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><s:text name="mail.message.title.list" /></title>
	<script type="text/javascript">
	<!--

		var LINK_FORM_NAME = "linkForm";
		var LIST_FORM_NAME = "listForm";
	
		function JsList(pageNo) {
			document.forms[LINK_FORM_NAME].elements["pageNaviBean.pageNo"].value = pageNo;
			document.forms[LINK_FORM_NAME].action = "<s:url action="messageList" />";
			document.forms[LINK_FORM_NAME].method = "get";
			document.forms[LINK_FORM_NAME].submit();
		}
	
		function JsView(messageNo) {
			document.forms[LINK_FORM_NAME].elements["messageBean.no"].value = messageNo;
			document.forms[LINK_FORM_NAME].action = "<s:url action="messageView" />";
			document.forms[LINK_FORM_NAME].method = "get";
			document.forms[LINK_FORM_NAME].submit();
		}

		function JsDeleteMultiAction() {
			document.forms[LIST_FORM_NAME].action = "<s:url action="messageDeleteMultiAction" />";
			document.forms[LINK_FORM_NAME].method = "post";
			document.forms[LIST_FORM_NAME].submit();
		}

		function JsMoveMultiAction() {
			document.forms[LIST_FORM_NAME].action = "<s:url action="messageMoveMultiAction" />";
			document.forms[LINK_FORM_NAME].method = "post";
			document.forms[LIST_FORM_NAME].submit();
		}

		function syncSaveNames(id) {
			var saveNames = document.forms[LIST_FORM_NAME].elements["saveNames"];
			var value = saveNames[id].value;
			for (var i = 0; i < saveNames.length; i++) {
				saveNames[i].value = value;
			}
			document.forms[LIST_FORM_NAME].elements["messageBean.saveFolderName"].value = value;
		}
	//-->
	</script>
</head>

<body>

<s:form name="linkForm" id="linkForm" method="get">
	<div>
		<s:hidden key="messageBean.folderName" />
		<s:hidden name="messageBean.no" value="" />
		<s:include value="include/messageHiddenForList.jsp" />
	</div>
</s:form>

<s:form name="listForm" id="listForm" method="post" onsubmit="return false;">

<s:include value="include/messageListButton.jsp" />

	<div class="list">
	<s:hidden key="messageBean.folderName" />
	<s:hidden name="messageBean.saveFolderName" />
	<s:include value="include/messageHiddenForList.jsp" />

	<table style="width: 100%;">
		<!-- 목록 헤더 .Start -->
		<thead>
			<tr>
				<th style="width: 30px;"><s:text name="mail.message.label.checkbox" /></th>
				<th style="width: 50px;"><s:text name="mail.message.label.no" /></th>
				<th style="width: 30px;"><s:text name="mail.message.label.lock" /></th>
				<th style="width: 70px;"><s:text name="mail.message.label.from" /></th>
				<th><s:text name="mail.message.label.subject" /></th>
				<th style="width: 100px;"><s:text name="mail.message.label.date" /></th>
				<th style="width: 50px;"><s:text name="mail.message.label.size" /></th>
			</tr>
		</thead>
		<!-- 목록 헤더 .End -->
	
		<!-- 목록 .Start -->
		<tbody>
			<s:iterator value="messageList" status="msgSt">
				<tr>
					<td><input type="checkbox" name="messageNos" value="<s:property value="no" />" /></td>
					<td><s:property value="no" /></td>
					<td>
						<s:if test="lock"><s:set name="lockName" value="'locked'" /></s:if>
						<s:else><s:set name="lockName" value="'unlocked'" /></s:else>
						<img src="<s:url value="/resource/image/16x16/service/mail/message_%{#lockName}.png" />" />
					</td>
					<td>
						<a href="mailto:<s:property value="fromAddress" />">
							<s:property value="#stringUtil.korSubstring(fromName, 10, '..')" />
						</a>
					</td>
					<td style="text-align: left;">
						<div <s:if test="!read">style="font-weight: bold;"</s:if>>
							<a onclick="JsView(<s:property value="no" />);">
								<s:if test="subject.length() > 0">
									<s:property value="#stringUtil.korSubstring(subject, 90, '..')" />
								</s:if>
								<s:else><s:text name="mail.message.nosubject" /></s:else>
							</a>
						</div>
					</td>
					<td><s:date name="date" format="yy/MM/dd HH:mm" /></td>
					<td><s:property value="size" /></td>
				</tr>
			</s:iterator>
		</tbody>
		<!-- 목록 .End -->
	
	</table>
	</div>

<s:include value="include/messageListButton.jsp" />

</s:form>

<table style="width: 100%;">
	<!-- 페이지 네비게이션 .Start -->
	<tr>
		<td style="text-align: center">
			<view:pagenavi jsName="JsList" naviValue="pageNaviBean"
				cssClassPage="bbsPage" cssClassOnPage="bbsOnPage"
				cssClassSide="bbsSidePage" cssClassDisable="bbsDisablePage" />
		</td>
	</tr>
	<!-- 페이지 네비게이션 .End -->

</table>

<p />

</body>

</html>
