<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@
	page import="java.util.List
				,java.net.URLEncoder
				,com.opensymphony.xwork2.ActionContext
				,com.opensymphony.xwork2.ActionSupport
				,kr.sohalee.hangastudio.constants.Constants
				,kr.sohalee.hangastudio.core.util.DateUtil
				,kr.sohalee.hangastudio.core.util.CollectionUtil
	            ,kr.sohalee.hangastudio.model.mail.message.MessageBean
	            ,kr.sohalee.hangastudio.model.mail.message.MessageAttachBean
	            ,kr.sohalee.hangastudio.model.mail.message.MessageUtil"
%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<%--
	- This file is part of hanga studio.
	
	- Copyright (C) 2007 hanga studio Project.
	
	- This program is free software; you can redistribute it and/or modify it
	- under the terms of the GNU General Public License as published by the
	- Free Software Foundation; either version 3, or (at your option) any later
	- version.
	
	- This program is distributed in the hope that it will be useful, but
	- WITHOUT ANY WARRANTY; without even the implied warranty of
	- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
	- Public License for more details.
	
	- You should have received a copy of the GNU General Public License along
	- with this program; if not, write to the Free Software Foundation, Inc.,
	- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  

	==========================================================================
	Mail Message View
	
	@author     : <a href="mailto:sohalee@dreamwiz.com">이경록</a>
	@created    : 2007-04-04 07:57
	@modified   : none
	==========================================================================
--%>

<%!

	private static final String DN_URI_FORMAT = "%s?messageBean.folderName=%s&messageBean.no=%s";

	private static final String HYP_LNK_FORMAT = "<a href=\"%s\">%s</a>";

	private static final String DN_URI = ActionContext.getContext()
			.getValueStack().findString("namespaceUrl") + "/messageAttachDownload."
			+ ActionContext.getContext().getValueStack().findString("extension");

	private void printChildItem(JspWriter out, String itemName, String text)
			throws Exception {

		out.write("	<tr>\n");
		out.write("		<th>\n");
		out.write(itemName + "\n");
		out.write("		</th>\n");
		out.write("		<td>\n");
		out.write(text + "\n");
		out.write("		</td>\n");
		out.write("	</tr>\n");
	}

	private String getAttUrlInit() throws Exception {

		ActionContext aCtx = ActionContext.getContext();

		String folderName = aCtx.getValueStack().findString("messageBean.folderName");
		String messageNo = aCtx.getValueStack().findString("messageBean.no");

		return String.format(DN_URI_FORMAT, new Object[] {
				DN_URI,
				URLEncoder.encode(folderName, Constants.APP_ENCODING),
				messageNo
		});
	}

	private void printChildMessage(JspWriter out, List<MessageBean> list)
			throws Exception {

		ActionSupport act = (ActionSupport) ActionContext.getContext()
				.getActionInvocation().getAction();

		String attUrlInit = getAttUrlInit();

		for (MessageBean bean : list) {

			out.write("<p style=\"padding: 15px; padding-top: 30px;\" />\n");
			out.write("<table style=\"width: 100%;\">\n");

			/* 보낸이 */
			String from = "";
			if (bean.getFromName() != null) {
				from = bean.getFromName() + " ";
			}
			from += "&lt;" + bean.getFromAddress() + "&gt;";
			printChildItem(out, act.getText("mail.message.label.from"), from);
			from = null;

			/* 제목 */
			printChildItem(out, act.getText("mail.message.label.subject"),
					bean.getSubject());

			/* 보낸날짜 */
			String date = DateUtil.getString(bean.getDate(),
					"yyyy/MM/dd HH:mm:ss E z Z");
			printChildItem(out, act.getText("mail.message.label.date"), date);
			date = null;

			/*
			 * 내용 & 서브 메세지 (message/rfc822)
			 */
			out.write("	<tr>\n");
			out.write("		<td colspan=\"2\" style=\"padding: 10px;\">\n");
			/* 내용 */
			out.write("			<div class=\"mailContent\">\n");
			out.write(MessageUtil.getContentForHtml(bean) + "\n");
			out.write("			</div>\n");

			/* 서브 메세지 */
			if (bean.getChildMessageList() != null) {
				// 재귀함수 호출.
				printChildMessage(out, bean.getChildMessageList());
			}

			out.write("		</td>\n");
			out.write("	</tr>\n");

			/*
			 * 첨부파일
			 */
			if (!CollectionUtil.isEmpty(bean.getAttachList())) {

				for (MessageAttachBean attachBean : bean.getAttachList()) {

					// 첨부파일 다운로드 Url
					String attachUrl = attUrlInit
							+ "&attachBean.multipartPath="
							+ attachBean.getMultipartPath();
					// 첨부파일명에 하이퍼링크가 걸린 Html Tag
					String hrefTag = String.format(HYP_LNK_FORMAT, new Object[] {
							attachUrl,
							attachBean.getFileName()
					});
					printChildItem(out, act.getText("mail.message.label.attach"),
							hrefTag);

					attachUrl = null;
					hrefTag = null;
				}
			}

			out.write("</table>\n");
		}

		attUrlInit = null;
		act = null;
	}
%>
<s:bean id="messageUtil" name="kr.sohalee.hangastudio.model.mail.message.MessageUtil" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><s:text name="mail.message.title.view" /></title>
	<script type="text/javascript">
	<!--

		var LINK_FORM_NAME = "linkForm";

		function JsList() {
			document.forms[LINK_FORM_NAME].action = "<s:url action="messageList" />";
			document.forms[LINK_FORM_NAME].submit();
		}

		function JsDeleteAction() {
			document.forms[LINK_FORM_NAME].action = "<s:url action="messageDeleteAction" />";
			document.forms[LINK_FORM_NAME].submit();
		}

		function JsReplyForm() {
			document.forms[LINK_FORM_NAME].action = "<s:url action="messageReplyForm" />";
			document.forms[LINK_FORM_NAME].submit();
		}

		function JsForwardForm() {
			document.forms[LINK_FORM_NAME].action = "<s:url action="messageForwardForm" />";
			document.forms[LINK_FORM_NAME].submit();
		}
	//-->
	</script>
</head>

<body>

<s:form name="linkForm" id="linkForm" method="get">
	<div>
		<s:hidden key="messageBean.folderName" />
		<s:hidden key="messageBean.no" />
		<s:include value="include/messageHiddenForList.jsp" />
	</div>
</s:form>

<s:include value="include/messageViewButton.jsp" />

<div class="form">
<table style="width: 100%;">
	<tr>
		<th><s:text name="mail.message.label.lock" /></th>
		<td><s:if test="messageBean.lock">Yes</s:if><s:else>No</s:else></td>
	</tr>
	<tr>
		<th><s:text name="mail.message.label.from" /></th>
		<td>
			<s:if test="messageBean.fromName != null">
				<s:property value="messageBean.fromName" />
			</s:if>
			&lt;<s:property value="messageBean.fromAddress" />&gt;
		</td>
	</tr>
	<tr>
		<th><s:text name="mail.message.label.subject" /></th>
		<td><s:property value="messageBean.subject" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.message.label.date" /></th>
		<td><s:date name="messageBean.date" format="yyyy/MM/dd HH:mm:ss E z Z" /></td>
	</tr>
	<tr>
		<th><s:text name="mail.message.label.size" /></th>
		<td><s:property value="messageBean.size" /></td>
	</tr>
	<tr>
		<td colspan="2" style="padding: 10px;">
			<div class="mailContent">
				<s:property value="#messageUtil.getContentForHtml(messageBean)" escape="false" />
			</div>
			<s:if test="messageBean.childMessageList != null">
				<% printChildMessage(out, (List) request.getAttribute("messageBean.childMessageList")); %>
				<%--
				<s:property value="#messageUtil.getChildMessageForView(messageBean.childMessageList)"
					escape="false" />
				--%>
			</s:if>
		</td>
	</tr>
	<s:iterator value="messageBean.attachList">
		<tr>
			<th><s:text name="mail.message.label.attach" /></th>
			<s:url id="attachDownloadUrl" action="messageAttachDownload">
				<s:param name="messageBean.folderName" value="messageBean.folderName" />
				<s:param name="messageBean.no" value="messageBean.no" />
				<s:param name="attachBean.multipartPath" value="multipartPath" />
			</s:url>
			<td><s:a href="%{attachDownloadUrl}">
				<s:property value="fileName" />
			</s:a></td>
		</tr>
	</s:iterator>
</table>
</div>

<s:include value="include/messageViewButton.jsp" />

<p />

</body>

</html>
